package com.red.circle.other.infra.database.mongo.service.team.team;

import com.red.circle.other.infra.database.mongo.entity.team.team.TeamNotice;
import java.util.List;

/**
 * 团队通知.
 *
 * @author pengshigang on 2022/12/15
 */
public interface TeamNoticeService {

  /**
   * 团队通知.
   */
  List<TeamNotice> listByTeamId(Long teamId);

  /**
   * 添加团队通知.
   */
  void add(TeamNotice card);

  /**
   * 删除
   */
  void deleteById(Long id);

  /**
   * 移除团队通知记录.
   */
  void removeBatchByTeamId(List<Long> teamIds);

}
